package com.mvc.iot.aep.model;

/**
 * AEP平台设备api请求参数
 */
public class AepDeviceApiModel {
    private String deviceName;//设备名称，必填
    private String deviceSn;//设备编号，MQTT,T_Link,TCP,HTTP,JT/T808,南向云协议必填
    private String imei;//imei号，LWM2M,NB网关协议必填
    private String operator;//操作者，必填
    private AepDeviceApiOtherModel other;//LWM2M协议必填参数,其他协议不填
    private Integer productId;//产品ID，必填

    public AepDeviceApiModel(){}

    public AepDeviceApiModel(String deviceName, String deviceSn, String imei, String operator,Integer productId){
        this.deviceName = deviceName;
        this.deviceSn = deviceSn;
        this.imei =imei;
        this.operator = operator;
        this.productId = productId;
        AepDeviceApiOtherModel other = new AepDeviceApiOtherModel();
        other.setAutoObserver(1);
        this.other = other;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    public String getImei() {
        return imei;
    }

    public void setImei(String imei) {
        this.imei = imei;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public AepDeviceApiOtherModel getOther() {
        return other;
    }

    public void setOther(AepDeviceApiOtherModel other) {
        this.other = other;
    }

    public Integer getProductId() {
        return productId;
    }

    public void setProductId(Integer productId) {
        this.productId = productId;
    }
}
